Subject: Re: bug#33740: [PATCH] Customizable flymake mode-line indicator

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Sep 2019 16:06:36 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 20 Sep 2019 14:32:00 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It is.  Redrawing the mode line is a very frequent redisplay thing, so
> > optimizing the heck out of it is justified.
> 
> In the simple case where the mode line element is a string, I can
> definitely see that it's warranted.  In the Flymake case, where the
> value is (:eval (flymake--mode-line-format)), which returns a long and
> complex (:propertize) form that's then interpreted by this machinery --
> it's pessimal.

No, it isn't.  If I'm not mistaken, we have bug reports regarding
flickering of mode lines, including under Flymake.

If we want to have a richer set of indicators for Flymake, may I
suggest considering alternative methods of indicating stuff, and
leaving the poor-old crammed mode line alone?